# Generated by Django 3.1.1 on 2020-10-19 20:33

import controlled_vocabulary.models
from django.db import migrations, models
import django.db.models.deletion
import ead.validators


class Migration(migrations.Migration):

    dependencies = [
        ('controlled_vocabulary', '0004_remove_controlledvocabulary_test'),
        ('ead', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='localcontrol',
            name='localcontrol',
        ),
        migrations.RemoveField(
            model_name='sourcessection',
            name='sources_lastdatetimeverified',
        ),
        migrations.AddField(
            model_name='daosetdao',
            name='identifier',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='diddao',
            name='identifier',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='daterange_altrender',
            field=models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='daterange_audience',
            field=models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='daterange_ead_id',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='daterange_lang',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='daterange_localtype',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='daterange_script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_altrender',
            field=models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_audience',
            field=models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_ead_id',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_lang',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_localtype',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_notafter',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_notbefore',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='datesingle_standarddate',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_altrender',
            field=models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_audience',
            field=models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_ead_id',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_lang',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_localtype',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_notafter',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_notbefore',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='fromdate_standarddate',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term',
            field=models.CharField(blank=True, max_length=64),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_altrender',
            field=models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_audience',
            field=models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_ead_id',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_encodinganalog',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_identifier',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_lang',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_lastdatetimeverified',
            field=models.CharField(blank=True, max_length=25, validators=[ead.validators.validate_date_time]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_rules',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_source',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='term_transliteration',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_nmtoken]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate',
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_altrender',
            field=models.CharField(blank=True, max_length=128, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_audience',
            field=models.CharField(blank=True, choices=[('external', 'External'), ('internal', 'Internal')], max_length=8),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_ead_id',
            field=models.CharField(blank=True, max_length=64, validators=[ead.validators.validate_id]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_lang',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso639-2']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_localtype',
            field=models.CharField(blank=True, max_length=512, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_notafter',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_notbefore',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_script',
            field=controlled_vocabulary.models.ControlledTermField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='controlled_vocabulary.controlledterm', vocabularies=['iso15924']),
        ),
        migrations.AddField(
            model_name='localcontrol',
            name='todate_standarddate',
            field=models.CharField(blank=True, max_length=32, validators=[ead.validators.validate_token]),
        ),
        migrations.AddField(
            model_name='source',
            name='lastdatetimeverified',
            field=models.CharField(blank=True, max_length=25, validators=[ead.validators.validate_date_time]),
        ),
        migrations.AlterField(
            model_name='maintenanceevent',
            name='eventdatetime_standarddatetime',
            field=models.CharField(blank=True, max_length=25, validators=[ead.validators.validate_date_time]),
        ),
        migrations.AlterField(
            model_name='repositoryaddressline',
            name='address',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='addressline_set', to='ead.repository'),
        ),
        migrations.DeleteModel(
            name='Address',
        ),
    ]
